# Video

Video module allows you to embedded videos from YouTube and Vimeo (can be
extended to any provider) and upload videos and play using HTML5 video player
(can be extended).

For a full description of the module, visit the
[project page](https://www.drupal.org/project/video).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/video).


## Table of contents

- Supporting Embedded Providers
- Requirements
- Recommended Modules
- Installation
- Configuration
- FAQ
- Maintainers


## Supporting Embedded Providers

- YouTube
- Vimeo


## Requirements

This module requires no modules outside of Drupal core.


## Recommended modules

[Flysystem](https://www.drupal.org/project/flysystem)


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

1. Navigate to Administration > Extend and enable the module.
2. Navigate Administration > Structure > [Content type to edit] and add a
   field.
3. Choose "Video" from Reference.
4. Save and continue with the rest of the steps.
5. Navigate to "Manage form display" and choose "Video Upload" widget.


## FAQ

**Q: Can I upload multiple files to support HTML5 video?**

**A:** Yes, from "Manage fields" choose "Storage settings" and change the "Allowed
  number of values" to more than one. Then you can upload multiple videos like
  mp4, WebM etc.


## Maintainers

- Heshan Wanigasooriya - [heshanlk](https://www.drupal.org/u/heshanlk)
- Andrii Podanenko - [podarok](https://www.drupal.org/u/podarok)
- Abhishek Anand - [abhishek-anand](https://www.drupal.org/u/abhishek-anand)
- Bryce Fisher-Fleig - [brycefisherfleig](https://www.drupal.org/u/brycefisherfleig)
- Chaitanya Kulkarni - [chaitanya17](https://www.drupal.org/u/chaitanya17)
- Jorrit Schippers - [Jorrit](https://www.drupal.org/u/jorrit)
- Abhishek Kumar - [abhishek.kumar](https://www.drupal.org/u/abhishekkumar)
- Tushar Mahajan - [chia](https://www.drupal.org/u/chia)
- dalyn.cessac - [dalyn.cessac](https://www.drupal.org/u/dalyncessac)
- dinithi.lk - [dinithi.lk](https://www.drupal.org/u/dinithi.lk)
- Mahesh Rangana - [findmashmind](https://www.drupal.org/u/findmashmind)
- glen201 - [glen201](https://www.drupal.org/user/527446)


Supporting organizations:

 * Webotics.io - https://www.drupal.org/weboticsio
